Package org.eclipse.remote.core

# Interface IRemoteProcess.Service

All Known Subinterfaces:
  `IRemoteProcessControlService`, `IRemoteProcessSignalService`, `IRemoteProcessTerminalService`

Enclosing interface:
  `IRemoteProcess`

public static interface IRemoteProcess.Service
The interface that is extend by services provided for this remote connection.

Since:
  2.0

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`IRemoteProcess.Service.Factory`

## Method Summary

Modifier and Type
Method
Description
`IRemoteProcess`
`getRemoteProcess()`

## Method Details

### getRemoteProcess

IRemoteProcess getRemoteProcess()